<?php get_header(); ?>

	<div id="content">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="post">
        
        <div class="entry">
        
        <h1 class="pagetitle">&#8216;<?php the_title(); ?>&#8217;</h1>
        
		<h2><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &raquo; <?php the_title(); ?></h2>
        
        <p class="attachment"><a href="<?php echo wp_get_attachment_url($post->ID); ?>"><?php echo wp_get_attachment_image( $post->ID, 'medium' ); ?></a></p>
      						<p class="caption"><?php if ( !empty($post->post_excerpt) ) the_excerpt(); // this is the "caption" ?></p>

      						<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
                            
                            <nav class="prev-next-links">
								<ul class="clearfix">
        							<li><?php previous_image_link() ?></li>
        							<li><?php next_image_link() ?></li>
        						</ul>
      						</nav>
        
		</div><!--/entry-->
		</div><!--/post-->

	
	<?php endwhile; else: ?>

		<p><?php _e('Not Found','rdeck'); ?></p>

<?php endif; ?>

	</div><!--/content-->

<?php get_footer(); ?>