<!doctype html>  

<!--[if lt IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
<!--[if IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if IE 8]><html <?php language_attributes(); ?> class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><html <?php language_attributes(); ?> class="no-js"><![endif]-->

<?php $options = get_option( 'rdeck_theme_options' ); ?>

	<head>
		<meta charset="utf-8">
        
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <meta name="viewport" content="width=device-width">
		
		<title><?php
	
	global $page, $paged;

	wp_title( ' &#8211; ', true, 'right' );

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' &#8211; ' . sprintf( __( 'Page %s', 'rdeck' ), max( $paged, $page ) );
	?>
	</title>


<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen,projection" />

<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico" />

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?>" href="http://feeds.feedburner.com/ResponsiveDeck" />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>



<div id="wrapper">

<?php if ($options['social'] == 1) { ?>
<div id="toplinks" class="toplinks clearfix">
<ul>
   <li><a href="<?php echo $options['twitter'] ?>"><img src="<?php bloginfo('template_directory'); ?>/images/social-icons/social-btn-twitter.png" alt="twitter" /></a></li>
   <li><a href="<?php echo $options['dribbble'] ?>"><img src="<?php bloginfo('template_directory'); ?>/images/social-icons/social-btn-dribbble.png" alt="dribbble" /></a></li>
   <li><a href="<?php echo $options['facebook'] ?>"><img src="<?php bloginfo('template_directory'); ?>/images/social-icons/social-btn-facebook.png" alt="facebook" /></a></li>
   <li><a href="<?php echo $options['feedburner'] ?>"><img src="<?php bloginfo('template_directory'); ?>/images/social-icons/social-btn-rss.png" alt="subscribe" /></a></li>
</ul>
</div>
<?php }?>

<div id="navigation">
   <?php rdeck_main_nav(); // Adjust using Menus in Wordpress Admin ?>
</div>

    
<div id="masthead">
            
      <?php if ($options['txt_logo'] == 1) { ?>
      		<p class="logo"><a href="<?php bloginfo( 'url' ); ?>"><?php bloginfo('name'); ?></a></p>
             
            	<?php } elseif ($options['custom_logo']) { ?>
               
             
            <a href="<?php bloginfo('url'); ?>">
            <img src="<?php echo $options['custom_logo'] ?>" alt="<?php bloginfo('name'); ?>"/></a>
            

					<?php } else { ?>
    
			<a href="<?php bloginfo('url'); ?>">
            <img src="<?php bloginfo('template_directory'); ?>/images/logo.png" alt="<?php bloginfo('name'); ?>" /></a>
    
    <?php } ?>
      
      <?php /*?><div id="description"><?php bloginfo('description'); ?></div><?php */?>
      
      <form method="get" id="searchform" action="<?php bloginfo('url'); ?>/">
    <input type="text" value="<?php the_search_query(); ?>" name="s" id="searchfield" />
    <input type="image" src="<?php bloginfo('template_url'); ?>/images/magnify.gif" id="searchsubmit" alt="search button" />
  </form>
      
</div><!--masthead-->

<div id="main" class="clearfix">